    001/* ===========================================================
    002 * Orson Charts : a 3D chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C)opyright 2013-2022, by David Gilbert.  All rights reserved.
    006 *
    007 * https://github.com/jfree/orson-charts
    008 *
    009 * This program is free software: you can redistribute it and/or modify
    010 * it under the terms of the GNU General Public License as published by
    011 * the Free Software Foundation, either version 3 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This program is distributed in the hope that it will be useful,
    015 * but WITHOUT ANY WARRANTY; without even the implied warranty of
    016 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    017 * GNU General Public License for more details.
    018 *
    019 * You should have received a copy of the GNU General Public License
    020 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
    021 *
    022 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    023 * Other names may be trademarks of their respective owners.]
    024 *
    025 * If you do not wish to be bound by the terms of the GPL, an alternative
    026 * commercial license can be purchased.  For details, please see visit the
    027 * Orson Charts home page:
    028 *
    029 * http://www.object-refinery.com/orsoncharts/index.html
    030 *
    031 */
    032
    033package org.jfree.chart3d.table;
    034
    035import java.awt.geom.Dimension2D;
    036import org.jfree.chart3d.internal.Args;
    037
    038/**
    039 * An object that pairs an element with its dimension for one specific
    040 * graphics target.
    041 *
    042 * @since 1.1
    043 */
    044public class ElementInfo {
    045
    046    /** The element. */
    047    private TableElement element;
    048
    049    /** The element's size. */
    050    private Dimension2D dimension;
    051
    052    /**
    053     * Creates a new instance.
    054     *
    055     * @param element  the element ({@code null} not permitted).
    056     * @param dimension  the dimension ({@code null} not permitted).
    057     */
    058    public ElementInfo(TableElement element, Dimension2D dimension) {
    059        Args.nullNotPermitted(element, "element");
    060        Args.nullNotPermitted(dimension, "dimension");
    061        this.element = element;
    062        this.dimension = dimension;
    063    }
    064
    065    /**
    066     * Returns the element.
    067     *
    068     * @return The element (never {@code null}).
    069     */
    070    public TableElement getElement() {
    071        return this.element;
    072    }
    073
    074    /**
    075     * Returns the element's size.
    076     *
    077     * @return The element's size (never {@code null}).
    078     */
    079    public Dimension2D getDimension() {
    080        return this.dimension;
    081    }
    082
    083}